Loading...
Searching...
No Matches
decaf::Serializable< Base > Class Template Reference

Base class of objects which support serialization. More...

`#include <secure_buffer.hxx>`

## Public Member Functions

size_t | ser_size () const DECAF_NOEXCEPT
| Return the number of bytes needed to serialize this object.
void | serialize_into (unsigned char *buf) const DECAF_NOEXCEPT
| Serialize this object into a buffer.
SecureBuffer | serialize () const
| Serialize this object into a SecureBuffer and return it.

## Detailed Description

template<class Base>
class decaf::Serializable< Base >

Base class of objects which support serialization.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/secure_buffer.hxx